You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     mauri...@arareko.net
Last committer: eha...@freebsd.org
Ident:          $FreeBSD: head/biology/p5-bioperl-run/Makefile 345397 
2014-02-21 13:35:26Z ehaupt $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/10amd64-default/2014-06-05_12h56m47s/logs/p5-bioperl-run-1.6.1_4.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/10amd64-default/2014-06-05_12h56m47s
Log:

====>> Building biology/p5-bioperl-run
build started at Fri Jun  6 00:10:36 UTC 2014
port directory: /usr/ports/biology/p5-bioperl-run
building for: FreeBSD 10amd64-default-job-13 10.0-RELEASE-p3 FreeBSD 
10.0-RELEASE-p3 amd64
maintained by: mauri...@arareko.net
Makefile ident:      $FreeBSD: head/biology/p5-bioperl-run/Makefile 345397 
2014-02-21 13:35:26Z ehaupt $
Poudriere version: 3.1-pre
Host OSVERSION: 1100013
Jail OSVERSION: 1000510

---Begin Environment---
OSVERSION=1000510
UNAME_v=FreeBSD 10.0-RELEASE-p3
UNAME_r=10.0-RELEASE-p3
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/build/10amd64-default/ref
PKG_EXT=txz
tpid=49503
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=p5-bioperl-run-1.6.1_4
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
OLDPWD=/usr/local/poudriere/data/build/10amd64-default/ref/poudriere/rdeps
PWD=/usr/local/poudriere/data/build/10amd64-default/ref/poudriere/pool
MASTERNAME=10amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for 
p5-bioperl-run-1.6.1_4:
     DOCS=on: Build and/or install documentation
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--install_path lib="/usr/local/lib/perl5/site_perl/5.16"  --install_path 
arch="/usr/local/lib/perl5/site_perl/5.16/mach"  --install_path 
script="/usr/local/bin"  --install_path bin="/usr/local/bin"  --install_path 
libdoc="/usr/local/lib/perl5/5.16/man/man3"  --install_path 
bindoc="/usr/local/man/man1" --destdir  --create_packlist 0 CC="cc" 
CCFLAGS="-O2 -pipe -fno-strict-aliasing" PREFIX="/usr/local"  
INSTALLPRIVLIB="/usr/local/lib" INSTALLARCHLIB="/usr/local/lib"
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" ac_cv_path_PERL=/usr/local/bin/perl 
ac_cv_path_PERL_PATH=/usr/local/bin/perl SHELL=/bin/sh CONFIG_SHELL=/bin/sh 
PERL_EXTUTILS_AUTOINSTALL="--skipdeps" PERL_MM_USE_DEFAULT="YES"
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=""  CXX="c++" 
CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--PLIST_SUB--
OSREL=10.0
PREFIX=%D
LOCALBASE=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
PORTDATA=""
LIB32DIR=lib
PERL_VERSION=5.16.3
PERL_VER=5.16
PERL_ARCH=mach
PERL5_MAN3=lib/perl5/5.16/man/man3
SITE_PERL=lib/perl5/site_perl/5.16
DOCSDIR="share/doc/bioperl-run"
EXAMPLESDIR="share/examples/bioperl-run"
DATADIR="share/bioperl-run"
WWWDIR="www/bioperl-run"
ETCDIR="etc/bioperl-run"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/bioperl-run
DOCSDIR=/usr/local/share/doc/bioperl-run
EXAMPLESDIR=/usr/local/share/examples/bioperl-run
WWWDIR=/usr/local/www/bioperl-run
ETCDIR=/usr/local/etc/bioperl-run
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
# clean-restricted ran via poudriere.conf NO_RESTRICTED
#NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for p5-bioperl-run-1.6.1_4
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   p5-bioperl-run-1.6.1_4 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.7_2.txz
Installing pkg-1.2.7_2... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of p5-bioperl-run-1.6.1_4
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by p5-bioperl-run-1.6.1_4 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by p5-bioperl-run-1.6.1_4 for building
=> SHA256 Checksum OK for BioPerl-run-1.6.1.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by p5-bioperl-run-1.6.1_4 for building
===>  Extracting for p5-bioperl-run-1.6.1_4
=> SHA256 Checksum OK for BioPerl-run-1.6.1.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for p5-bioperl-run-1.6.1_4
===========================================================================
=======================<phase: build-depends  >============================
===>   p5-bioperl-run-1.6.1_4 depends on package: p5-bioperl>=1.6.0 - not found
===>    Verifying install for p5-bioperl>=1.6.0 in /usr/ports/biology/p5-bioperl
===>   Installing existing package /packages/All/p5-bioperl-1.6.923.txz
Installing p5-bioperl-1.6.923...Installing 
p5-Algorithm-Munkres-0.08...Installing perl5-5.16.3_10... done
 done
Installing p5-Array-Compare-2.02...Installing p5-Moose-2.1204,1...Installing 
p5-Class-Load-XS-0.08...Installing p5-Class-Load-0.21...Installing 
p5-Data-OptList-0.109...Installing p5-Params-Util-1.07... done
Installing p5-Sub-Install-0.927... done
 done
Installing p5-Module-Implementation-0.07...Installing 
p5-Module-Runtime-0.014... done
Installing p5-Try-Tiny-0.18... done
 done
Installing p5-Package-Stash-0.36...Installing p5-Dist-CheckConflicts-0.11... 
done
Installing p5-Package-Stash-XS-0.28... done
 done
 done
 done
Installing p5-Devel-GlobalDestruction-0.12...Installing 
p5-Sub-Exporter-Progressive-0.001.011...Installing p5-Sub-Exporter-0.987... done
 done
 done
Installing p5-Devel-StackTrace-1.32... done
Installing p5-Eval-Closure-0.11... done
Installing p5-List-MoreUtils-0.33... done
Installing p5-MRO-Compat-0.12...Installing p5-Class-C3-0.26...Installing 
p5-Algorithm-C3-0.09... done
 done
 done
Installing p5-Package-DeprecationManager-0.13... done
Installing p5-Sub-Name-0.05... done
Installing p5-Task-Weaken-1.04... done
 done
 done
Installing p5-Bio-ASN1-EntrezGene-1.091... done
Installing p5-Class-AutoClass-1.56...Installing 
p5-Hash-AutoHash-Args-1.18...Installing p5-Hash-AutoHash-1.17...Installing 
p5-Tie-ToObject-0.03_1... done
 done
 done
 done
Installing p5-Clone-0.35... done
Installing p5-Convert-Binary-C-0.76... done
Installing p5-DBD-mysql-4.027...Installing mysql55-client-5.5.38... done
Installing p5-DBI-1.631... done
 done
Installing p5-Data-Stag-0.14_1...Installing p5-IO-String-1.08... done
 done
Installing p5-Error-0.17022... done
Installing p5-GD-SVG-0.33_5...Installing p5-GD-2.53...Installing 
libgd-2.1.0_3,1...Installing fontconfig-2.11.0_3,1...Installing expat-2.1.0... 
done
Installing freetype2-2.5.3_2... done
Running fc-cache to build fontconfig cache...
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: caching, new cache contents: 0 fonts, 1 dirs
/usr/local/lib/X11/fonts/local: caching, new cache contents: 0 fonts, 0 dirs
/root/.local/share/fonts: skipping, no such directory
/root/.fonts: skipping, no such directory
/usr/local/share/fonts: skipping, no such directory
/usr/local/lib/X11/fonts: caching, new cache contents: 0 fonts, 1 dirs
/root/.local/share/fonts: skipping, no such directory
/root/.fonts: skipping, no such directory
/var/db/fontconfig: cleaning cache directory
/root/.cache/fontconfig: not cleaning non-existent cache directory
/root/.fontconfig: not cleaning non-existent cache directory
fc-cache: succeeded
 done
Installing jpeg-8_5... done
Installing png-1.5.18... done
Installing tiff-4.0.3_2...Installing freeglut-2.8.1_2...Installing 
libGLU-9.0.0...Installing libGL-7.6.1_4...Installing dri2proto-2.8... done
Installing libX11-1.6.2_2,1...Installing kbproto-1.0.6... done
<snip>
Installing libXaw-1.0.12_2,2...Installing libXp-1.0.2_2,1...Installing 
printproto-1.0.5... done
 done
Installing libXpm-3.5.11_2... done
 done
Installing libltdl-2.4.2_3... done
Installing pango-1.34.1_4...Installing cairo-1.10.2_10,2...Installing 
pixman-0.32.4_2... done
Installing xcb-util-renderutil-0.3.8_2...Installing xcb-util-0.3.9_3,1... done
 done
 done
Installing encodings-1.0.4_1,1...Installing font-util-1.3.0_1... done
 done
Installing harfbuzz-0.9.28...Installing graphite2-1.2.4... done
Installing icu-52.1... done
 done
Installing libXft-2.3.1_2... done
Installing xorg-fonts-truetype-7.7_1...Installing dejavu-2.34_3... done
Installing font-bh-ttf-1.0.3_1...Installing mkfontdir-1.0.7...Installing 
mkfontscale-1.1.1_1...Installing libfontenc-1.1.2_2... done
 done
 done
 done
Installing font-misc-ethiopic-1.0.3_1... done
Installing font-misc-meltho-1.0.3_1... done
 done
 done
 done
Installing p5-IPC-Run-0.92...Installing p5-IO-Tty-1.11... done
 done
Installing p5-Parse-RecDescent-1.967.009_1... done
Installing p5-XML-Twig-3.47...Installing p5-HTML-Tree-5.03...Installing 
p5-HTML-Parser-3.71...Installing p5-HTML-Tagset-3.20... done
 done
 done
Installing p5-Text-Iconv-1.7_1... done
Installing p5-Tie-IxHash-1.23... done
Installing p5-XML-Parser-2.41_1... done
Installing p5-XML-XPath-1.13... done
Installing p5-libwww-6.06...Installing p5-Authen-NTLM-1.09...Installing 
p5-Digest-HMAC-1.03... done
 done
Installing p5-Data-Dump-1.22... done
Installing p5-Encode-Locale-1.03... done
Installing p5-File-Listing-6.04...Installing p5-HTTP-Date-6.02... done
 done
Installing p5-HTTP-Cookies-6.01...Installing 
p5-HTTP-Message-6.06_2...Installing p5-IO-HTML-1.00... done
Installing p5-LWP-MediaTypes-6.02... done
Installing p5-URI-1.60... done
 done
 done
Installing p5-HTTP-Daemon-6.01... done
Installing p5-HTTP-Negotiate-6.01... done
Installing p5-Net-HTTP-6.06...Installing p5-IO-Socket-SSL-1.992...Installing 
p5-IO-Socket-IP-0.29...Installing p5-Socket-2.014... done
 done
Installing p5-Net-SSLeay-1.63... done
 done
 done
Installing p5-WWW-RobotRules-6.02... done
 done
 done
 done
Installing p5-HTML-TableExtract-2.11...Installing 
p5-HTML-Element-Extended-1.18... done
 done
Installing p5-IO-stringy-2.110... done
Installing p5-Math-Random-0.71... done
Installing p5-PostScript-0.06... done
Installing p5-SOAP-Lite-0.716...Installing p5-Class-Inspector-1.28... done
Installing p5-Crypt-SSLeay-0.64...Installing 
p5-LWP-Protocol-https-6.04...Installing p5-Mozilla-CA-20130114... done
 done
 done
Installing p5-MIME-Lite-3.03.0...Installing p5-Email-Date-Format-1.004... done
Installing p5-MIME-Types-2.04... done
Installing p5-Mail-Tools-2.13...Installing p5-TimeDate-2.30_1,1... done
 done
 done
Installing p5-MIME-Tools-5.505,2...Installing p5-Convert-BinHex-1.123... done
 done
 done
Installing p5-SVG-Graph-0.04...Installing p5-Math-Spline-0.02...Installing 
p5-Math-Derivative-0.01... done
 done
Installing p5-Statistics-Descriptive-3.0605... done
Installing p5-Tree-DAG_Node-1.22...Installing p5-File-Slurp-Tiny-0.003... done
Installing p5-File-Temp-0.23.01... done
Installing p5-PathTools-3.4000... done
 done
 done
Installing p5-Set-Scalar-1.26... done
Installing p5-Sort-Naturally-1.03... done
Installing p5-Spreadsheet-ParseExcel-0.59,1...Installing p5-Crypt-RC4-2.02... 
done
Installing p5-Digest-Perl-MD5-1.9... done
Installing p5-OLE-Storage_Lite-0.19... done
 done
Installing p5-Test-Most-0.33...Installing p5-Exception-Class-1.38...Installing 
p5-Class-Data-Inheritable-0.08... done
 done
Installing p5-Test-Deep-0.112...Installing p5-Test-NoWarnings-1.04_1... done
Installing p5-Test-Tester-0.10.9... done
 done
Installing p5-Test-Differences-0.610,1...Installing 
p5-Text-Diff-1.41...Installing p5-Algorithm-Diff-1.1902... done
 done
 done
Installing p5-Test-Exception-0.32...Installing p5-Sub-Uplevel-0.2400... done
 done
Installing p5-Test-Warn-0.30...Installing p5-Carp-1.33.01... done
 done
 done
Installing p5-Text-Shellwords-1.08... done
Installing p5-Text-Tabs+Wrap-2013.0523... done
Installing p5-XML-DOM-XPath-0.14...Installing p5-XML-DOM-1.44...Installing 
p5-XML-RegExp-0.04... done
Installing p5-libxml-0.08... done
 done
Installing p5-XML-XPathEngine-0.14... done
 done
Installing p5-XML-SAX-Writer-0.54...Installing 
p5-XML-Filter-BufferText-1.01...Installing p5-XML-SAX-0.99_1...Installing 
p5-XML-NamespaceSupport-1.11... done
Installing p5-XML-SAX-Base-1.08... done
 done
 done
 done
Installing p5-XML-Simple-2.20...Installing p5-XML-SAX-Expat-0.50... done
 done
Installing p5-XML-Writer-0.624... done
Installing p5-YAML-0.87... done
 done
Note that this release of p5-Moose is incompatible with
older versions of the following modules:

       Catalyst                        <= 5.80017
       Devel::REPL                     <= 1.003008
       Fey::ORM                        <= 0.23
       File::ChangeNotify              <= 0.15
       KiokuDB                         <= 0.41
       MooseX::Aliases                 <= 0.07
       MooseX::AttributeHelpers        <= 0.22
       MooseX::AttributeInflate        <= 0.02
       MooseX::Attribute::Prototype    <= 0.10
       MooseX::ClassAttribute          <= 0.13
       MooseX::FollowPBP               <= 0.02
       MooseX::HasDefaults             <= 0.02
       MooseX::InstanceTracking        <= 0.04
       MooseX::LazyRequire             <= 0.05
       MooseX::MethodAttributes        <= 0.22
       MooseX::NonMoose                <= 0.13
       MooseX::Params::Validate        <= 0.05
       MooseX::Role::Cmd               <= 0.06
       MooseX::Role::WithOverloading   <= 0.07
       MooseX::SemiAffordanceAccessor  <= 0.05
       MooseX::Singleton               <= 0.22
       MooseX::StrictConstructor       <= 0.08
       MooseX::Types                   <= 0.19
       MooseX::UndefTolerant           <= 0.04
       namespace::autoclean            <= 0.08
       Pod::Elemental                  <= 0.093280

They will need to be updated.
Since FreeBSD has new USB stack, freeglut normally doesn't build on FreeBSD 8
(yet). To workaround this a small patch adds one include file and comments out
content of one function (only leaves return NULL).

This might cause side effects.  Joysticks do not work, and there might be ports
that do not compile or applications that crash because of this.

Do not hesitate to contact x...@freebsd.org if there are any issues and side
effects because of this.
====
Note that some of the standard modules are provided as separate
ports since they require extra dependencies:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

Install them as needed.
====
Make sure that the freetype module is loaded.  If it is not, add the following
line to the "Modules" section of your X Windows configuration file:

        Load "freetype"

Add the following line to the "Files" section of X Windows configuration file:

        FontPath "/usr/local/lib/X11/fonts/dejavu/"

Note: your X Windows configuration file is typically /etc/X11/XF86Config
if you are using XFree86, and /etc/X11/xorg.conf if you are using X.Org.
===>   Returning to build of p5-bioperl-run-1.6.1_4
===>   p5-bioperl-run-1.6.1_4 depends on package: p5-IPC-Run>=0 - found
===>   p5-bioperl-run-1.6.1_4 depends on package: p5-Algorithm-Diff>=0 - found
===>   p5-bioperl-run-1.6.1_4 depends on file: 
/usr/local/lib/perl5/site_perl/5.16/Module/Build.pm - not found
===>    Verifying install for 
/usr/local/lib/perl5/site_perl/5.16/Module/Build.pm in 
/usr/ports/devel/p5-Module-Build
===>   Installing existing package /packages/All/p5-Module-Build-0.4205.txz
Installing p5-Module-Build-0.4205... done
===>   Returning to build of p5-bioperl-run-1.6.1_4
===>   p5-bioperl-run-1.6.1_4 depends on file: /usr/local/bin/perl5.16.3 - found
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for p5-bioperl-run-1.6.1_4
Invalid prerequisite condition '0/processing XML 
data/Bio::Tools::Run::EMBOSSacd' for XML::Twig at 
/usr/local/lib/perl5/site_perl/5.16/Module/Build/Base.pm line 1702.
*** Error code 25

Stop.
make: stopped in /usr/ports/biology/p5-bioperl-run
===>  Cleaning for p5-bioperl-run-1.6.1_4
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to